IF OBJECT_ID('dbo.fn_ape2') IS NOT NULL
    DROP FUNCTION dbo.fn_ape2
GO
CREATE FUNCTION dbo.fn_ape2
(
    @pvc_nombre varchar(100)
)
RETURNS varchar(30)
AS
BEGIN
DECLARE
    @vti_pos1 tinyint,
    @vti_pos2 tinyint,
    @pvc_cad varchar(30)

    SET @vti_pos1 = CharIndex('/', @pvc_nombre)
    SET @vti_pos2 = CharIndex('/', SubString(@pvc_nombre, @vti_pos1 + 1, 100))

    IF IsNull(@vti_pos2,0) = 0
        SET @pvc_cad = SubString(@pvc_nombre, @vti_pos1 + 1, 100)
    ELSE
        SET @pvc_cad = SubString(@pvc_nombre, @vti_pos1 + 1, @vti_pos2 - 1)

    SET @pvc_cad = UPPER(Left(@pvc_cad, 1)) + LOWER(SubString(@pvc_cad, 2, 29))

    RETURN (@pvc_cad)
END
GO
GRANT EXECUTE ON fn_ape2 TO PUBLIC
GO
